#
# spec file for package python-pytest-httpbin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-httpbin
Version:        0.3.0
Release:        lp150.1.4
Summary:        Test your HTTP library against a local copy of httpbin
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/kevin1024/pytest-httpbin
Source:         https://files.pythonhosted.org/packages/source/p/pytest-httpbin/pytest-httpbin-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-httpbin
Requires:       python-pytest
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
httpbin is a web service for testing HTTP libraries. It has several
endpoints that can test parts needed in a HTTP library.

Pytest-httpbin creates a pytest "fixture" that is
dependency-injected into your tests. It automatically starts up a HTTP server
in a separate thread running httpbin and provides your test with the URL in the
fixture.

%prep
%setup -q -n pytest-httpbin-%{version}

%build

%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Nov 13 2017 arun@gmx.de
- removed 0001-Remove-Flask-and-decorator-from-install_requires.patch
  (included upstream)
- update to version 0.3.0:
  * Allow to run httpbin on fixed port using environment variables
    (thanks @hroncok)
  * Allow server to be thread.join()ed (thanks @graingert)
  * Add support for Python 3.6 (thanks @graingert)
* Tue Aug  8 2017 tbechtold@suse.com
- add 0001-Remove-Flask-and-decorator-from-install_requires.patch
- cleanup Requires
* Sun May  7 2017 jengelh@inai.de
- Remove sensationalist language from description.
* Tue Apr  4 2017 jmatejek@suse.com
- initial commit - test requirement of python-requests
